/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.dcc;

import java.io.*;

/**
 * DCCListener, provided to catch dcc events triggered by the CTCP filter.
 */
public interface DCCListener
{
  /**
   * A new DCC reception is requested.
   * @param nick the source nick.
   * @param fileName the file to transfert.
   * @param size the file size.
   * @return the local destination file.
   */
  public File DCCFileRequest(String nick,String fileName,Integer size);

  /**
   * A new DCCChat is requested.
   * @param nick the requesting nick.
   * @return true if the request is accepted, false otherwise.
   */
  public boolean DCCChatRequest(String nick);
}

