/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.gui;

import irc.*;
import irc.gui.pixx.*;

/**
 * The AWT interpretor for gui-relative commands.
 */
public class AWTInterpretor extends RootInterpretor
{
  private PixxMDIInterface _mdi;

  /**
   * Create a new DefaultInterpretor.
   * @param config global irc configuration.
   * @param mdi the interface.
   */
  public AWTInterpretor(IRCConfiguration config,PixxMDIInterface mdi)
  {
    super(config);
    _mdi=mdi;
  }

  protected void handleCommand(Source source,String cmd,String[] parts,String[] cumul)
  {
    if(cmd.equals("dock"))
    {
      AWTSource asource=_mdi.findAWTSource(source);
      if(asource!=null) _mdi.dock(asource);
    }
    else if(cmd.equals("undock"))
    {
      AWTSource asource=_mdi.findAWTSource(source);
      if(asource!=null) _mdi.undock(asource);
    }
    else
    {
      super.handleCommand(source,cmd,parts,cumul);
    }
  }
}

